import { jsx } from "react/jsx-runtime";
import { SlideshowIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Slideshow = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Slideshow", ...props, children: /* @__PURE__ */ jsx(SlideshowIcon, { weight: variant }) });
  }
);
Slideshow.displayName = "Slideshow";
Object.assign(Slideshow, { isGdsIcon: true });
export {
  Slideshow
};
